SLBM: taup::TravelTimeResult Class Reference

SLBM 3.0 Regional Seismic Travel Time

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
taup::TravelTimeResult Class Reference

A public container (struct) that holds the result of a specific ray that satisfied the source distance / depth! requirement. This object maintains all pertinent information related to the ray for subsequent retrieval and evaluation.

`#include <TauPSite.h>`

## Public Member Functions
| TravelTimeResult ()
| Default constructor. More...
string | toString (string indent="") const
| Dump TTR to string. More...
void | toStream (ostream &os, string indent="") const
| Dump TTR to stream. More...

## Public Attributes
TPVelocityLayer * | ttrVelLayer
| The velocity layer within which the ray turned. More...
string | ttrPhaseName
| The velocity layers input provided phase name if given. Else the string is empty. More...
string | ttrPhaseEval
| The velocity layers evaluated default name. This string is never empty. This will be Xnb, Xnb+, Xnb-, Xni+, or Xni- where n is the layer index and X is "P" or "S". More...
string | ttrRayType
| A string that contains "Turning", "UpGoing", or "DownGoing" indicating the type of ray stored by this result. More...
int | ttrLayerIndex
| The index of the velocity layer within which the ray turned. More...
bool | ttrIsInterfaceUpper
bool | ttrIsInterfaceLower
bool | ttrIsSplitUpper
| A boolean, which if true, defines the ray as turning in the upper half of a retrograde layer. More...
bool | ttrIsSplitLower
| A boolean, which if true, defines the ray as turning in the lower half of a retrograde layer. More...
double | ttrP
| The ray parameter (slowness) of the ray. More...
double | ttrR
| The ray turning radius. More...
double | ttrV
| The velocity at the turning point. More...
double | ttrT
| The total travel time of the ray from source to receiver. More...
double | ttrDRay
| The surface-to-surface ray distance. More...
double | ttrTRay
| The surface-to-surface ray time. More...
double | ttrDSrc
| The surface-to-source ray distance. More...
double | ttrTSrc
| The surface-to-source ray time. More...
double | ttrDRcvr
| The surface-to-receiver ray distance. More...
double | ttrTRcvr
| The surface-to-receiver ray time. More...
double | ttrDIntrfc
| The distance along the layer boundary if ttrIsInterface is true. More...
double | ttrTIntrfc
| The time along the layer boundary if ttrIsInterface is true. More...
double | ttrDerivs [4]

## Constructor & Destructor Documentation

taup::TravelTimeResult::TravelTimeResult | ( |  | ) |
| inline

## Member Function Documentation

void taup::TravelTimeResult::toStream | ( | ostream & | os,
|  | string | indent = `""`
| ) |  | const

string taup::TravelTimeResult::toString | ( | string | indent = `""` | ) | const

## Member Data Documentation

double taup::TravelTimeResult::ttrDerivs[4]

The derivative array containing the following entries ttrDerivs[0] = dT/dDist; ttrDerivs[1] = dT/dDpth; ttrDerivs[2] = d^2T/dDist/dDpth; ttrDerivs[3] = d^2T/dDist^2;

double taup::TravelTimeResult::ttrDIntrfc

double taup::TravelTimeResult::ttrDRay

double taup::TravelTimeResult::ttrDRcvr

double taup::TravelTimeResult::ttrDSrc

bool taup::TravelTimeResult::ttrIsInterfaceLower

/brief A boolean, which if true, defines this information as a ray that diffracts along the lower boundary of the layer using the next layers velocity at its upper boundary.

bool taup::TravelTimeResult::ttrIsInterfaceUpper

/brief A boolean, which if true, defines this information as a ray that diffracts along the lower boundary of the layer using the layers velocity at the lower boundary.

bool taup::TravelTimeResult::ttrIsSplitLower

bool taup::TravelTimeResult::ttrIsSplitUpper

int taup::TravelTimeResult::ttrLayerIndex

double taup::TravelTimeResult::ttrP

string taup::TravelTimeResult::ttrPhaseEval

string taup::TravelTimeResult::ttrPhaseName

double taup::TravelTimeResult::ttrR

string taup::TravelTimeResult::ttrRayType

double taup::TravelTimeResult::ttrT

double taup::TravelTimeResult::ttrTIntrfc

double taup::TravelTimeResult::ttrTRay

double taup::TravelTimeResult::ttrTRcvr

double taup::TravelTimeResult::ttrTSrc

double taup::TravelTimeResult::ttrV

TPVelocityLayer* taup::TravelTimeResult::ttrVelLayer

The documentation for this class was generated from the following file:

- /nfs/tonto2/devlpool/sballar/RSTT/SLBM_Root.3.0.5/install/SLBM_Root.3.0.5.Linux/SLBM/include/TauPSite.h